Archive-name: Places/kitten.f
Archive-author: JC
Archive-title: Kitten


     If Kitten never saw another possessive male, it would still be too soon.
She couldn't believe what the bastard had the nerve to say to her.  It wasn't
as if they were engaged or anything, they had just had a roll in the hay from
time to time.  He'd been pretty good too.  He'd known when to stop eating her
and when to get on with it, but anytime he opened his mouth otherwise seemed
to make her angry.

   "I don't want you dancing with other guys." had been bad enough, but
getting pissed off when she had called up her answering machine because she
"Was trying to connect up with another guy." had been just too much.
The big argument had started.  They had been in bed, and were still in
robes in the dining room eating chicken when it had started.  He didn't want
to hear that she had both a job and a life apart from him.  He had shouted,
cursed, and finally thrown the plate of chicken on the floor.

   Kitten had grabbed her dress, Put it on in the hall and left, barely
thinking to grab her shoes and purse.  Now in downtown d.C. she was naked
under her dress and had only her shoes.  He could keep her kinky underwear
before she went back into his building and asked for it.

  Kitten began to walk to the Metro a few blocks away.

  As she walked she continued to run the things she should have said.  Most
were on the line of I'll do what I want with any man I want,it's my business.

   She also noticed that the material of her dress, the cool spring air, and
having just made love had the effect of getting her worked up again.  She
found the air blowing through her damp pussy hairs very stimulating.

   She bought a farecard and entered the metro ...
   She went into the station, put in her fare card and walked to the
escilator.  There was a fair breeze blowing out of the tunnel.  As Kitten
stepped onto the stair, her downward movement combined with the wind to sweep
up her dress in the best "Some like it hot" tradition.

   She saw two young men gape at her for the full second that her dress was
exposing her glissening pussy hairs.  She met their stares and dared them to
say anything.  After a second both broke eye contact.

   She walked to the end of the platform and waited for the train.

   As she stood on the platform she was again aware of the breeze from the
tunnel blowing up her skirt, tickling her cunt lightly.  She realized she had
been playing the scene of the two men on Metro over and over in her mind
because the idea of exposing herself to them excited her.  It hadn't seemed
to hurt them any either.

   The train pulled up and Kitten got on. There were only a half dozen people
on the train, and Kitten sat near a door, on one of the benches that sat
sideways instead of front or back.  A 30'ish man was sitting on one of the
benches looking at her absently.

   Kitten found herself sorry to have left the breeze behind.  She was still
annoyed at the fight, and still stimulated from the sex and the walk here.

   Then she thought, Why not?

   Kitten slowly began to sit in an unladylike posture, acting as if she had
no idea she was showing off her furry mound to the gentleman in the next seat.
   No one else on the train could see her.  Kitten just waited for him to
notice.

   When he did, his expression was quite comical.  Kitten had to retain tight
control to not laugh.

   Kitten was sitting with one foot flat on the bench.  Her dress tented up
and her recently fucked bush, still damp, was plainly visible.  Only the man
with the briefcase could see.

   Kitten picked up a discarded section of the Washington Post and pretended
to read. She put her legs together, covering up her pubic hair for the moment.
   His expression was even more comical.  He tried to shift a bit without
being obvious to restore his view.

  Kitten turned the page.  Her legs seperated and again her cunt was clearly
in his view.  As Kitten displayed herself to him,he actually reached into his
briefcase and changed glasses.
  Kitten folded the paper and again covered most of her hair.
He tried to move along on his bench, but couldn't really improve his view.
   After a moment,she turned the page and opened her legs to their fullest.
She could feel her love lips parting, as though they were expecting to be
fucked again.

   He couldn't stand it any longer and changed seats to sit directly in front
of her.
   Kitten hid her face in the paper to hide her smile.  She half expected him
to speak to her, or perhaps, to reach out and touch her cunt.
   She decided that she would not stop him if he touched he.  After all her
cunt was glissening from more than a 45 minute old fucking now.  She was wet
from showing herself to this man.
   For a moment she thought about bringing her other foot up to the bench to
open herself wider to his gaze, but ...

wasn't sure she could keep a straight face if she did.

Kitten turned again, covering her bush as she pretended to read the paper.
Glancing over the top, she saw her audience try to move to a place where his
view was unobstructed.
Kitten turned to the back page.  She again moved her leg, opening herself to
his gaze again.

  The train stopped.

  The last two other people left the car, leaving Kitten with an audience of
one.
  The doors closed and the train began moving.
  Kitten pretended to scratch her calf, leaving her hand there as she
completed the gesture.
  A quick glance showed her audience was still rapt.
  Kitten's hand pretended to brush something from the inside of her thigh.  A
few seconds later, she again pretended to brush something away, this time
leaving her hand only an inch from her pubic mound.
  His mouth was wide open.
  Absently, Kitten ran a finger through the top of her curls, her eyes seeming
to always be on the paper.
  She repeated the brushing gesture, this time running a finger to the top of
her slit.  Her finger stayed there and after about thirty seconds she gently
rubbed her clit.
   The man's briefcase was on his lap, or he would surely have had a raging
hard-on.  His eyes never left Kitten's snatch.  Her fingers were running up
and down quite fast now.  She brought her other foot up, spread her legs wide
and rubbed herself furiously.
She turned and met the gaze of the man.  Her other hand went directly to her
pussy.  One hand formed a pseudo-cock with 3 fingers and began a fucking
motion.  The other rubbed back and forth furiously on her clit.
For just a second he seemed to be ready to get up, but Kitten said her first
line to him,"If you move, I'll stop!"
  He sat back down and concentrated on the show she was providing.
  Kitten moaned softly as the orgasm reached it's peak.
  She thought later that the man in the Metro had given her a better orgasm
than the prick she had left.
  The car began to slow for her stop.
  Kitten pulled down her dress as they entered the station.
  The doors opened.  She stood and said, "I hope you enjoyed it."
  He smiled and said, "Very much."  He closed his briefcase.  As Kitten
stepped to the door, he put something in her hand.  Before she could respond
the door closed, the train pulling out of the station.
  Kitten was unsure of what to do with the $100 bill, but then she thought,
It's not as if I asked for it, and I did leave a whole lot of stuff at that
prick's apartment.
  She went up the escalator into the night.

--
   The end a JC production.
